--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
- !ruby/object:RI::MethodSummary 
  name: sort
comment: 
- !ruby/struct:SM::Flow::P 
  body: This class helps building lexer and parser for operators. The case that one operator (++ for example) contains another operator (+) is automatically handled so client code don't have to worry about ambiguity.
constants: []

full_name: RParsec::Operators
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: "[]"
- !ruby/object:RI::MethodSummary 
  name: lexer
- !ruby/object:RI::MethodSummary 
  name: parser
name: Operators
superclass: Object
